Mailinglist Archive: opensuse-updates (144 mails)

< Previous Next >
openSUSE-SU-2015:2362-1: moderate: Security update for subversion
openSUSE Security Update: Security update for subversion
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:2362-1
Rating: moderate
References: #958300
Cross-References: CVE-2015-5343
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update for subversion fixes the following issues:

- Apache Subversion 1.8.15 This release fixes one security issue: Remotely
triggerable heap overflow and out-of-bounds read in mod_dav_svn caused
by integer overflow when parsing skel-encoded request bodies.
CVE-2015-5343 [boo#958300]
* fix a segfault with old style text delta
* fsfs: reduce memory allocation with Apache
* mod_dav_svn: emit first log items as soon as possible
* mod_dav_svn: use LimitXMLRequestBody for skel-encoded requests
* swig: fix memory corruption in svn_client_copy_source_t
* better configure-time detection of httpd authz fix (drop
subversion-1.8.14-httpd-version-number-detection.patch, replace
subversion-1.8.9-allow-httpd-2.4.6.patch with
subversion-1.8.15-allow-httpd-2.4.6.patch as a result


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-948=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-948=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.8.15-2.23.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.8.15-2.23.1
libsvn_auth_kwallet-1-0-1.8.15-2.23.1
libsvn_auth_kwallet-1-0-debuginfo-1.8.15-2.23.1
subversion-1.8.15-2.23.1
subversion-debuginfo-1.8.15-2.23.1
subversion-debugsource-1.8.15-2.23.1
subversion-devel-1.8.15-2.23.1
subversion-perl-1.8.15-2.23.1
subversion-perl-debuginfo-1.8.15-2.23.1
subversion-python-1.8.15-2.23.1
subversion-python-ctypes-1.8.15-2.23.1
subversion-python-debuginfo-1.8.15-2.23.1
subversion-ruby-1.8.15-2.23.1
subversion-ruby-debuginfo-1.8.15-2.23.1
subversion-server-1.8.15-2.23.1
subversion-server-debuginfo-1.8.15-2.23.1
subversion-tools-1.8.15-2.23.1
subversion-tools-debuginfo-1.8.15-2.23.1

- openSUSE 13.2 (noarch):

subversion-bash-completion-1.8.15-2.23.1

- openSUSE 13.1 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.8.15-2.42.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.8.15-2.42.1
libsvn_auth_kwallet-1-0-1.8.15-2.42.1
libsvn_auth_kwallet-1-0-debuginfo-1.8.15-2.42.1
subversion-1.8.15-2.42.1
subversion-debuginfo-1.8.15-2.42.1
subversion-debugsource-1.8.15-2.42.1
subversion-devel-1.8.15-2.42.1
subversion-perl-1.8.15-2.42.1
subversion-perl-debuginfo-1.8.15-2.42.1
subversion-python-1.8.15-2.42.1
subversion-python-debuginfo-1.8.15-2.42.1
subversion-ruby-1.8.15-2.42.1
subversion-ruby-debuginfo-1.8.15-2.42.1
subversion-server-1.8.15-2.42.1
subversion-server-debuginfo-1.8.15-2.42.1
subversion-tools-1.8.15-2.42.1
subversion-tools-debuginfo-1.8.15-2.42.1

- openSUSE 13.1 (noarch):

subversion-bash-completion-1.8.15-2.42.1


References:

https://www.suse.com/security/cve/CVE-2015-5343.html
https://bugzilla.suse.com/958300


< Previous Next >
This Thread
  • No further messages